Subject: Re: I: gcc ... -U_WIN32 ... may cause problems
From: [email-masked] (Earnie Boyd)

8 Sep 1998 22:13:20 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Mumit Khan <[email-masked]>
Cc: gw32 <[email-masked]>

---Mumit Khan <[email-masked]> wrote:
>
> On Mon, 31 Aug 1998, Geoffrey Noer wrote:
> 
> > 
> > Perhaps -Dunix should be added to the define list whenever
> > __CYGWIN32__ is defined?  Linux includes -Dunix and
-Asystem(posix) in
> > CPP_PREDEFINES (looking at gcc/config/i386/linux.h).
> > 
> 
> I see no problem in cygwin32 specs defining "unix", but I have yet to
> see a good argument for getting rid of _WIN32 from x86-win32 targets,
> especially from mingw32.
> 

The `argument' I have for removing the _WIN32 from cygwin32 (I'll live
with mingw32) is that there exists code that already has some porting
to WIN32 and it gets in the way of wanting to build the __UNIX__
version under WIN32.  Since this is the goal of the Cygnus Project
then it would be best served to remove the definitions of _WIN32.

==
-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".